#! /usr/bin/awk -f
# $FreeBSD: head/x11/ly/files/git-submodules-to-gh-tuple.awk 517680 2019-11-15 15:04:01Z 0mp $

BEGIN {
	group_number = 0
	printf "GH_TUPLE="
}

{
	account = "cylgom"
	project = $2
	gsub(".*/", "", project)
	hash = $1
	path = $2
	printf " \\\n\t%s:%s:%s:%s/%s", account, project, hash, project, path
}

END {
	printf "\n"
}
